#!/bin/sh
#
# Copyright (c) 2009 Avira GmbH

AVDIR="/usr/lib/AntiVir"

if [ -f "$AVDIR/gui/bin/avmg_stats" ]
then
	chown uucp:antivir $AVDIR/gui/bin/avmg_stats
	if [ "$?" -ne "0" ]
	then
		echo " "
		echo "It was not possible to change the ownership of $AVDIR/gui/bin/avmg_stats"
		exit 1
	fi
fi

if [ -f "$AVDIR/avmailgate_start.sh" -a -f "$AVDIR/post_install.sh" ]
then
	$AVDIR/post_install.sh > /dev/null 2>&1
	$AVDIR/avmailgate_start.sh > /dev/null 2>&1
	ERR1=$?
	if [ $ERR1 -eq 0 ]
	then
		exit 0
	else
		echo ""
		echo "It was not possible to start MailGate"
		exit 1
	fi
else
	echo ""
	echo "$AVDIR/avmailgate_start.sh or $AVDIR/post_install.sh not found."
	exit 1
fi
