#!/bin/sh
#
# Copyright (c) 2009 Avira GmbH

HOME_DIR="/usr/lib/AntiVir"

if [ -f $HOME_DIR/avmailgate ]
then
	$HOME_DIR/avmailgate restart > /dev/null 2>&1
	ERR=$?
	if [ $ERR -eq 0 ]
	then
		exit 0	
	else
		echo ""
		echo "It was not possible to restart MailGate"
		exit 1
	fi
else
	echo ""
	echo "$HOME_DIR/avmailgate not found."
	exit 1
fi
