#!/bin/sh
#
# Copyright (c) 2009 Avira GmbH

HOME_DIR="/usr/lib/AntiVir"

if [ -f /var/run/start_avmailgate ]
then
	if [ -f $HOME_DIR/avmailgate ]
	then
		$HOME_DIR/avmailgate start > /dev/null 2>&1
		ERR=$?
		if [ $ERR -eq 0 ]
		then
			exit 0	
		else
			echo ""
			echo "It was not possible to start MailGate"

			touch /var/run/restart_avmailgate > /dev/null 2>&1

			exit 1
		fi
	else
		echo ""
		echo "$HOME_DIR/avmailgate not found."
		exit 1
	fi
fi
